package com.alyseo.serial;

import java.util.regex.*;

public class DiskElement extends CoraidElement implements CoraidElementIntf, DiskElementIntf {

	private String diskNumber;
	private String lbladeIndex = null;
	private String lbladePartIndex = null;

	public DiskElement (String componentIndex, String status, String diskNumber) {
		super(componentIndex, status);
		this.diskNumber = diskNumber;
		Pattern p = Pattern.compile("^((\\d)\\.\\d)\\.\\d$");
		Matcher m = p.matcher(componentIndex);
		if(m.matches()) {
			lbladePartIndex = m.group(1);
			lbladeIndex = m.group(2);
		}
	}

	public String toString() {
		return "Disk N" + diskNumber +", Raid component index N" + componentIndex + " has status " + status;
	}

	public String getLbladeIndex() {
		return lbladeIndex;
	}
	
	public String getDiskNumber() {
		return diskNumber;
	}

	public String getLbladePartIndex() {
		return lbladePartIndex;
	}
}
