package com.alyseo.serial;

import java.util.*;
import java.util.regex.*;

import org.apache.log4j.Logger;

public class MesgFactory {

	private static Logger log = Logger.getLogger("MesgFactory");
	
	public static CoraidElementIntf getCoraidImpl(String conf) {
		conf = conf.substring(0, conf.length()-1);
		Pattern p = Pattern.compile("^\\s*(\\d)\\s+(.*)\\s+(.*)$");
		Matcher m = p.matcher(conf);
		if(m.matches()) {
			return (CoraidElementIntf)new LbladeElement(m.group(1), m.group(3));
		}
		p = Pattern.compile("^\\s*(\\d\\.\\d)\\s+(.+?)\\s+(.+?)\\s(.*?)\\s*$");
		m = p.matcher(conf);
		if(m.matches()) {
			return (CoraidElementIntf)new LbladePart(m.group(1), m.group(3), m.group(4));
		}
		p = Pattern.compile("^\\s*(\\d\\.\\d\\.\\d)\\s+(.*?)\\s+(.+)\\s(.+)$");
		m = p.matcher(conf);
		if(m.matches()) {
			return (CoraidElementIntf)new DiskElement(m.group(1), m.group(2), m.group(4));
		}
		return null;
	}
}
