
/**************************************************************************
*   Coraid Monitoring Tool is a interface to communication ports in java
* 	for Coraid products.
*   Copyright 2006 by Alyseo info@alyseo.com
*
*   This library is free software; you can redistribute it and/or
*   modify it under the terms of the GNU Library General Public
*   License as published by the Free Software Foundation; either
*   version 2 of the License, or (at your option) any later version.
*
*   This library is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
*   Library General Public License for more details.
*
*   You should have received a copy of the GNU Library General Public
*   License along with this library; if not, write to the Free
*   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *****************************************************************************/

package com.alyseo.util;

import java.util.*;
import java.io.*;
import java.net.*;
import org.apache.log4j.*;
import java.util.regex.*;

public class Configuration {
	
	private static Properties confFile = null;
	private static Properties confSerial = null;
	
	static private Configuration instance = new Configuration();
	static private Logger logger = Logger.getLogger("Configuration");
	
	private Configuration () {
		InputStream inconf = this.getClass().getClassLoader().getResourceAsStream("configuration.properties");
		InputStream inserial = this.getClass().getClassLoader().getResourceAsStream("serial.properties");
		confFile = new Properties();
		confSerial =  new Properties();
		try {
			confFile.load(inconf);
			confSerial.load(inserial);
		} catch (IOException ex) {
			BasicConfigurator.configure();
			logger.fatal("Can not load configuration/serial file : " + ex.getMessage());
		}
	}
	
	static public Configuration getInstance() {
		return instance;
	}
	
	public Properties getConfigurationFile() {
		return confFile;
	}
	
	public Properties getSerialFile() throws IOException{
		return confSerial;
	}
}
