
/**************************************************************************
*   Coraid Monitoring Tool is a interface to communication ports in java
* 	for Coraid products.
*   Copyright 2006 by Alyseo info@alyseo.com
*
*   This library is free software; you can redistribute it and/or
*   modify it under the terms of the GNU Library General Public
*   License as published by the Free Software Foundation; either
*   version 2 of the License, or (at your option) any later version.
*
*   This library is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
*   Library General Public License for more details.
*
*   You should have received a copy of the GNU Library General Public
*   License along with this library; if not, write to the Free
*   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *****************************************************************************/

package com.alyseo.util;

import java.io.IOException;
import java.util.Properties;

import org.apache.log4j.*;
import org.apache.log4j.helpers.*;


public class Log {

	public static Logger getConfiguredLogger (String clazz) {
	Logger logger = Logger.getLogger(clazz);
	try {
		FileAppender c0 = new FileAppender(new PatternLayout("%d %p %c - %m\n") , 
			Configuration.getInstance().getConfigurationFile().getProperty("log.file"));
		ConsoleAppender c1 = new ConsoleAppender(new PatternLayout("[%t] %-5p %c %x - %m\n "), ConsoleAppender.SYSTEM_OUT);
		String logLevel = Configuration.getInstance().getConfigurationFile().getProperty("log.level");
		if( ! logLevel.toUpperCase().matches("^(DEBUG|INFO|ERROR|FATAL)$")) {
			logLevel = "INFO";
		}
		c0.setThreshold(Level.toLevel(logLevel.toUpperCase()));
		
		if(Configuration.getInstance().getConfigurationFile().getProperty("log.enabled").equals("no")) {
			c0.setThreshold(Level.OFF);
		}
		Logger.getRootLogger().addAppender(c0); // file
//		Logger.getRootLogger().addAppender(c1); // console
		
	} catch (IOException ex) { 
		BasicConfigurator.configure();
	}
	return logger;

	}
}